diff --git a/base/server/python/pki/server/deployment/pkiparser.py b/base/server/python/pki/server/deployment/pkiparser.py
index 2759ceeefd928c387e3d8fcf23d468640b7af41a..620c9bdb5de219b0ebdaa95c48facb627b4a76cd 100644
--- a/base/server/python/pki/server/deployment/pkiparser.py
+++ b/base/server/python/pki/server/deployment/pkiparser.py
@@ -949,11 +949,11 @@ class PKIConfigParser:
                     "-TLS_RSA_EXPORT1024_WITH_RC4_56_SHA," + \
                     "-TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA," + \
                     "+TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA"
-                self.pki_master_dict['TOMCAT_SSL_OPTIONS_SLOT'] = \
+                self.mdict['TOMCAT_SSL_OPTIONS_SLOT'] = \
                     "ssl2=true," + \
                     "ssl3=true," + \
                     "tls=true"
-                self.pki_master_dict['TOMCAT_TLS_CIPHERS_SLOT'] = \
+                self.mdict['TOMCAT_TLS_CIPHERS_SLOT'] = \
                     "-TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA," + \
                     "-TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA," + \
                     "+TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA," + \
@@ -977,72 +977,72 @@ class PKIConfigParser:
                     "+TLS_DHE_RSA_WITH_AES_256_CBC_SHA"
 
                 # tps parameters
-                self.pki_master_dict['TOKENDB_HOST_SLOT'] = \
-                    self.pki_master_dict['pki_ds_hostname']
+                self.mdict['TOKENDB_HOST_SLOT'] = \
+                    self.mdict['pki_ds_hostname']
 
-                if config.str2bool(self.pki_master_dict['pki_ds_secure_connection']):
-                    self.pki_master_dict['TOKENDB_PORT_SLOT'] = \
-                        self.pki_master_dict['pki_ds_ldaps_port']
+                if config.str2bool(self.mdict['pki_ds_secure_connection']):
+                    self.mdict['TOKENDB_PORT_SLOT'] = \
+                        self.mdict['pki_ds_ldaps_port']
                 else:
-                    self.pki_master_dict['TOKENDB_PORT_SLOT'] = \
-                        self.pki_master_dict['pki_ds_ldap_port']
+                    self.mdict['TOKENDB_PORT_SLOT'] = \
+                        self.mdict['pki_ds_ldap_port']
 
-                self.pki_master_dict['TOKENDB_ROOT_SLOT'] = \
-                    self.pki_master_dict['pki_ds_base_dn']
+                self.mdict['TOKENDB_ROOT_SLOT'] = \
+                    self.mdict['pki_ds_base_dn']
 
-                self.pki_master_dict['TPS_DIR_SLOT'] = \
-                    self.pki_master_dict['pki_source_subsystem_path']
+                self.mdict['TPS_DIR_SLOT'] = \
+                    self.mdict['pki_source_subsystem_path']
 
-                if self.pki_master_dict['pki_subsystem'] == "CA":
-                    self.pki_master_dict['PKI_ENABLE_RANDOM_SERIAL_NUMBERS'] = \
-                        self.pki_master_dict\
+                if self.mdict['pki_subsystem'] == "CA":
+                    self.mdict['PKI_ENABLE_RANDOM_SERIAL_NUMBERS'] = \
+                        self.mdict\
                         ['pki_random_serial_numbers_enable'].lower()
             # Shared Apache/Tomcat NSS security database name/value pairs
-            self.pki_master_dict['pki_shared_pfile'] = \
+            self.mdict['pki_shared_pfile'] = \
                 os.path.join(
-                    self.pki_master_dict['pki_instance_configuration_path'],
+                    self.mdict['pki_instance_configuration_path'],
                     "pfile")
-            self.pki_master_dict['pki_shared_password_conf'] = \
+            self.mdict['pki_shared_password_conf'] = \
                 os.path.join(
-                    self.pki_master_dict['pki_instance_configuration_path'],
+                    self.mdict['pki_instance_configuration_path'],
                     "password.conf")
-            self.pki_master_dict['pki_cert_database'] = \
-                os.path.join(self.pki_master_dict['pki_database_path'],
+            self.mdict['pki_cert_database'] = \
+                os.path.join(self.mdict['pki_database_path'],
                              "cert8.db")
-            self.pki_master_dict['pki_key_database'] = \
-                os.path.join(self.pki_master_dict['pki_database_path'],
+            self.mdict['pki_key_database'] = \
+                os.path.join(self.mdict['pki_database_path'],
                              "key3.db")
-            self.pki_master_dict['pki_secmod_database'] = \
-                os.path.join(self.pki_master_dict['pki_database_path'],
+            self.mdict['pki_secmod_database'] = \
+                os.path.join(self.mdict['pki_database_path'],
                              "secmod.db")
-            self.pki_master_dict['pki_self_signed_token'] = "internal"
-            self.pki_master_dict['pki_self_signed_nickname'] = \
-                self.pki_master_dict['pki_ssl_server_nickname']
-            self.pki_master_dict['pki_self_signed_subject'] = \
-                "cn=" + self.pki_master_dict['pki_hostname'] + "," + \
-                "o=" + self.pki_master_dict['pki_certificate_timestamp']
-            self.pki_master_dict['pki_self_signed_serial_number'] = 0
-            self.pki_master_dict['pki_self_signed_validity_period'] = 12
-            self.pki_master_dict['pki_self_signed_issuer_name'] = \
-                "cn=" + self.pki_master_dict['pki_hostname'] + "," + \
-                "o=" + self.pki_master_dict['pki_certificate_timestamp']
-            self.pki_master_dict['pki_self_signed_trustargs'] = "CTu,CTu,CTu"
-            self.pki_master_dict['pki_self_signed_noise_file'] = \
+            self.mdict['pki_self_signed_token'] = "internal"
+            self.mdict['pki_self_signed_nickname'] = \
+                self.mdict['pki_ssl_server_nickname']
+            self.mdict['pki_self_signed_subject'] = \
+                "cn=" + self.mdict['pki_hostname'] + "," + \
+                "o=" + self.mdict['pki_certificate_timestamp']
+            self.mdict['pki_self_signed_serial_number'] = 0
+            self.mdict['pki_self_signed_validity_period'] = 12
+            self.mdict['pki_self_signed_issuer_name'] = \
+                "cn=" + self.mdict['pki_hostname'] + "," + \
+                "o=" + self.mdict['pki_certificate_timestamp']
+            self.mdict['pki_self_signed_trustargs'] = "CTu,CTu,CTu"
+            self.mdict['pki_self_signed_noise_file'] = \
                 os.path.join(
-                    self.pki_master_dict['pki_subsystem_configuration_path'],
+                    self.mdict['pki_subsystem_configuration_path'],
                     "noise")
-            self.pki_master_dict['pki_self_signed_noise_bytes'] = 1024
+            self.mdict['pki_self_signed_noise_bytes'] = 1024
             # Shared Apache/Tomcat NSS security database convenience symbolic links
-            self.pki_master_dict\
+            self.mdict\
             ['pki_subsystem_configuration_password_conf_link'] = \
                 os.path.join(
-                    self.pki_master_dict['pki_subsystem_configuration_path'],
+                    self.mdict['pki_subsystem_configuration_path'],
                     "password.conf")
 
-            if not len(self.pki_master_dict['pki_client_database_password']):
+            if not len(self.mdict['pki_client_database_password']):
                 # use randomly generated client 'pin'
-                self.pki_master_dict['pki_client_database_password'] = \
-                    str(self.pki_master_dict['pki_client_pin'])
+                self.mdict['pki_client_database_password'] = \
+                    str(self.mdict['pki_client_pin'])
 
             # Configuration scriptlet
             # 'Security Domain' Configuration name/value pairs
@@ -1057,70 +1057,70 @@ class PKIConfigParser:
             #
             #     The following variables are defined below:
             #
-            #         self.pki_master_dict['pki_security_domain_type']
-            #         self.pki_master_dict['pki_security_domain_uri']
+            #         self.mdict['pki_security_domain_type']
+            #         self.mdict['pki_security_domain_uri']
             #
             #     The following variables are established via the specified PKI
             #     deployment configuration file and are NOT redefined below:
             #
-            #         self.pki_master_dict['pki_clone_pkcs12_password']
-            #         self.pki_master_dict['pki_security_domain_password']
-            #         self.pki_master_dict['pki_token_password']
-            #         self.pki_master_dict['pki_clone_pkcs12_path']
-            #         self.pki_master_dict['pki_clone_uri']
-            #         self.pki_master_dict['pki_security_domain_https_port']
-            #         self.pki_master_dict['pki_token_name']
+            #         self.mdict['pki_clone_pkcs12_password']
+            #         self.mdict['pki_security_domain_password']
+            #         self.mdict['pki_token_password']
+            #         self.mdict['pki_clone_pkcs12_path']
+            #         self.mdict['pki_clone_uri']
+            #         self.mdict['pki_security_domain_https_port']
+            #         self.mdict['pki_token_name']
             #
             #     The following variables are established via the specified PKI
             #     deployment configuration file and potentially overridden below:
             #
-            #         self.pki_master_dict['pki_security_domain_user']
-            #         self.pki_master_dict['pki_issuing_ca']
+            #         self.mdict['pki_security_domain_user']
+            #         self.mdict['pki_issuing_ca']
             #
 
             # if security domain user is not defined
-            if not len(self.pki_master_dict['pki_security_domain_user']):
+            if not len(self.mdict['pki_security_domain_user']):
 
                 # use the CA admin uid if it's defined
                 if self.pki_config.has_option('CA', 'pki_admin_uid') and\
                     len(self.pki_config.get('CA', 'pki_admin_uid')) > 0:
-                    self.pki_master_dict['pki_security_domain_user'] = \
+                    self.mdict['pki_security_domain_user'] = \
                         self.pki_config.get('CA', 'pki_admin_uid')
 
                 # or use the Default admin uid if it's defined
                 elif self.pki_config.has_option('DEFAULT', 'pki_admin_uid') and\
                     len(self.pki_config.get('DEFAULT', 'pki_admin_uid')) > 0:
-                    self.pki_master_dict['pki_security_domain_user'] = \
+                    self.mdict['pki_security_domain_user'] = \
                         self.pki_config.get('DEFAULT', 'pki_admin_uid')
 
                 # otherwise use the default CA admin uid
                 else:
-                    self.pki_master_dict['pki_security_domain_user'] = "caadmin"
+                    self.mdict['pki_security_domain_user'] = "caadmin"
 
-            if not config.str2bool(self.pki_master_dict['pki_skip_configuration']) and\
-               (config.str2bool(self.pki_master_dict['pki_standalone'])):
+            if not config.str2bool(self.mdict['pki_skip_configuration']) and\
+               (config.str2bool(self.mdict['pki_standalone'])):
                 # Stand-alone PKI
-                self.pki_master_dict['pki_security_domain_type'] = "new"
-                self.pki_master_dict['pki_issuing_ca'] = "External CA"
+                self.mdict['pki_security_domain_type'] = "new"
+                self.mdict['pki_issuing_ca'] = "External CA"
             elif config.pki_subsystem != "CA" or\
-                 config.str2bool(self.pki_master_dict['pki_clone']) or\
-                 config.str2bool(self.pki_master_dict['pki_subordinate']):
+                 config.str2bool(self.mdict['pki_clone']) or\
+                 config.str2bool(self.mdict['pki_subordinate']):
                 # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
                 # CA Clone, KRA Clone, OCSP Clone, TKS Clone, TPS Clone, or
                 # Subordinate CA
-                self.pki_master_dict['pki_security_domain_type'] = "existing"
-                self.pki_master_dict['pki_security_domain_uri'] = \
+                self.mdict['pki_security_domain_type'] = "existing"
+                self.mdict['pki_security_domain_uri'] = \
                     "https" + "://" + \
-                    self.pki_master_dict['pki_security_domain_hostname'] + ":" + \
-                    self.pki_master_dict['pki_security_domain_https_port']
+                    self.mdict['pki_security_domain_hostname'] + ":" + \
+                    self.mdict['pki_security_domain_https_port']
 
-            elif config.str2bool(self.pki_master_dict['pki_external']):
+            elif config.str2bool(self.mdict['pki_external']):
                 # External CA
-                self.pki_master_dict['pki_security_domain_type'] = "new"
-                self.pki_master_dict['pki_issuing_ca'] = "External CA"
+                self.mdict['pki_security_domain_type'] = "new"
+                self.mdict['pki_issuing_ca'] = "External CA"
             else:
                 # PKI CA
-                self.pki_master_dict['pki_security_domain_type'] = "new"
+                self.mdict['pki_security_domain_type'] = "new"
 
             # 'External CA' Configuration name/value pairs
             #
@@ -1129,10 +1129,10 @@ class PKIConfigParser:
             #     The following variables are established via the specified PKI
             #     deployment configuration file and are NOT redefined below:
             #
-            #        self.pki_master_dict['pki_external_ca_cert_chain_path']
-            #        self.pki_master_dict['pki_external_ca_cert_path']
-            #        self.pki_master_dict['pki_external_csr_path']
-            #        self.pki_master_dict['pki_external_step_two']
+            #        self.mdict['pki_external_ca_cert_chain_path']
+            #        self.mdict['pki_external_ca_cert_path']
+            #        self.mdict['pki_external_csr_path']
+            #        self.mdict['pki_external_step_two']
             #
 
             # 'Backup' Configuration name/value pairs
@@ -1145,59 +1145,59 @@ class PKIConfigParser:
             #     The following variables are established via the specified PKI
             #     deployment configuration file and are NOT redefined below:
             #
-            #        self.pki_master_dict['pki_backup_password']
-            #        self.pki_master_dict['pki_backup_keys']
+            #        self.mdict['pki_backup_password']
+            #        self.mdict['pki_backup_keys']
             #
-            if config.str2bool(self.pki_master_dict['pki_backup_keys']):
+            if config.str2bool(self.mdict['pki_backup_keys']):
                 # NOTE:  ALWAYS store the PKCS #12 backup keys file
                 #        in with the NSS "server" security databases
-                self.pki_master_dict['pki_backup_keys_p12'] = \
-                    self.pki_master_dict['pki_database_path'] + "/" + \
-                    self.pki_master_dict['pki_subsystem'].lower() + "_" + \
+                self.mdict['pki_backup_keys_p12'] = \
+                    self.mdict['pki_database_path'] + "/" + \
+                    self.mdict['pki_subsystem'].lower() + "_" + \
                     "backup" + "_" + "keys" + "." + "p12"
 
-            self.pki_master_dict['pki_admin_profile_id'] = "caAdminCert"
+            self.mdict['pki_admin_profile_id'] = "caAdminCert"
 
-            if not 'pki_import_admin_cert' in self.pki_master_dict:
-                self.pki_master_dict['pki_import_admin_cert'] = 'false'
-            elif not config.str2bool(self.pki_master_dict['pki_skip_configuration']) and\
-                 (config.str2bool(self.pki_master_dict['pki_standalone'])):
+            if not 'pki_import_admin_cert' in self.mdict:
+                self.mdict['pki_import_admin_cert'] = 'false'
+            elif not config.str2bool(self.mdict['pki_skip_configuration']) and\
+                 (config.str2bool(self.mdict['pki_standalone'])):
                 # Stand-alone PKI
-                self.pki_master_dict['pki_import_admin_cert'] = 'false'
+                self.mdict['pki_import_admin_cert'] = 'false'
 
-            if (config.str2bool(self.pki_master_dict['pki_standalone'])):
-                self.pki_master_dict['pki_ca_signing_tag'] = "external_signing"
+            if (config.str2bool(self.mdict['pki_standalone'])):
+                self.mdict['pki_ca_signing_tag'] = "external_signing"
             else:
-                self.pki_master_dict['pki_ca_signing_tag'] = "signing"
-            if self.pki_master_dict['pki_subsystem'] == "CA":
-                self.pki_master_dict['pki_ocsp_signing_tag'] = "ocsp_signing"
-            elif self.pki_master_dict['pki_subsystem'] == "OCSP":
-                self.pki_master_dict['pki_ocsp_signing_tag'] = "signing"
-            self.pki_master_dict['pki_ssl_server_tag'] = "sslserver"
-            self.pki_master_dict['pki_subsystem_tag'] = "subsystem"
-            self.pki_master_dict['pki_audit_signing_tag'] = "audit_signing"
-            self.pki_master_dict['pki_transport_tag'] = "transport"
-            self.pki_master_dict['pki_storage_tag'] = "storage"
+                self.mdict['pki_ca_signing_tag'] = "signing"
+            if self.mdict['pki_subsystem'] == "CA":
+                self.mdict['pki_ocsp_signing_tag'] = "ocsp_signing"
+            elif self.mdict['pki_subsystem'] == "OCSP":
+                self.mdict['pki_ocsp_signing_tag'] = "signing"
+            self.mdict['pki_ssl_server_tag'] = "sslserver"
+            self.mdict['pki_subsystem_tag'] = "subsystem"
+            self.mdict['pki_audit_signing_tag'] = "audit_signing"
+            self.mdict['pki_transport_tag'] = "transport"
+            self.mdict['pki_storage_tag'] = "storage"
 
             # Finalization name/value pairs
-            self.pki_master_dict['pki_default_deployment_cfg_replica'] = \
-                os.path.join(self.pki_master_dict['pki_subsystem_registry_path'],
+            self.mdict['pki_default_deployment_cfg_replica'] = \
+                os.path.join(self.mdict['pki_subsystem_registry_path'],
                              config.DEFAULT_DEPLOYMENT_CONFIGURATION)
-            self.pki_master_dict['pki_user_deployment_cfg_replica'] = \
-                os.path.join(self.pki_master_dict['pki_subsystem_registry_path'],
+            self.mdict['pki_user_deployment_cfg_replica'] = \
+                os.path.join(self.mdict['pki_subsystem_registry_path'],
                              config.USER_DEPLOYMENT_CONFIGURATION)
-            self.pki_master_dict['pki_user_deployment_cfg_spawn_archive'] = \
-                self.pki_master_dict['pki_subsystem_archive_log_path'] + "/" + \
+            self.mdict['pki_user_deployment_cfg_spawn_archive'] = \
+                self.mdict['pki_subsystem_archive_log_path'] + "/" + \
                 "spawn" + "_" + \
                 config.USER_DEPLOYMENT_CONFIGURATION + "." + \
-                self.pki_master_dict['pki_timestamp']
-            self.pki_master_dict['pki_manifest'] = \
-                self.pki_master_dict['pki_subsystem_registry_path'] + "/" + \
+                self.mdict['pki_timestamp']
+            self.mdict['pki_manifest'] = \
+                self.mdict['pki_subsystem_registry_path'] + "/" + \
                 "manifest"
-            self.pki_master_dict['pki_manifest_spawn_archive'] = \
-                self.pki_master_dict['pki_subsystem_archive_log_path'] + "/" + \
+            self.mdict['pki_manifest_spawn_archive'] = \
+                self.mdict['pki_subsystem_archive_log_path'] + "/" + \
                 "spawn" + "_" + "manifest" + "." + \
-                self.pki_master_dict['pki_timestamp']
+                self.mdict['pki_timestamp']
             # Construct the configuration URL containing the one-time pin
             # and add this to the "sensitive" key value pairs read in from
             # the configuration file
@@ -1206,28 +1206,28 @@ class PKIConfigParser:
             #        parameter that may be stored in a log file and displayed
             #        to the screen.
             #
-            self.pki_master_dict['pki_configuration_url'] = \
+            self.mdict['pki_configuration_url'] = \
                 "https://{}:{}/{}/{}?pin={}".format(
-                    self.pki_master_dict['pki_hostname'],
-                    self.pki_master_dict['pki_https_port'],
-                    self.pki_master_dict['pki_subsystem'].lower(),
+                    self.mdict['pki_hostname'],
+                    self.mdict['pki_https_port'],
+                    self.mdict['pki_subsystem'].lower(),
                     "admin/console/config/login",
-                    self.pki_master_dict['pki_one_time_pin'])
+                    self.mdict['pki_one_time_pin'])
             # Compose this "systemd" execution management command
-            if self.pki_master_dict['pki_subsystem'] in\
+            if self.mdict['pki_subsystem'] in\
                config.PKI_APACHE_SUBSYSTEMS:
-                self.pki_master_dict['pki_registry_initscript_command'] = \
+                self.mdict['pki_registry_initscript_command'] = \
                     "systemctl" + " " + \
                     "restart" + " " + \
                     "pki-apached" + "@" + \
-                    self.pki_master_dict['pki_instance_name'] + "." + "service"
-            elif self.pki_master_dict['pki_subsystem'] in\
+                    self.mdict['pki_instance_name'] + "." + "service"
+            elif self.mdict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
-                self.pki_master_dict['pki_registry_initscript_command'] = \
+                self.mdict['pki_registry_initscript_command'] = \
                     "systemctl" + " " + \
                     "restart" + " " + \
                     "pki-tomcatd" + "@" + \
-                    self.pki_master_dict['pki_instance_name'] + "." + "service"
+                    self.mdict['pki_instance_name'] + "." + "service"
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1256,9 +1256,9 @@ class PKIConfigParser:
             parser.read(config.PKI_DEPLOYMENT_SLOTS_CONFIGURATION_FILE)
             # Slots configuration file name/value pairs
             if config.pki_subsystem in config.PKI_APACHE_SUBSYSTEMS:
-                self.pki_slots_dict = dict(parser.items('Apache'))
+                self.slots_dict = dict(parser.items('Apache'))
             elif config.pki_subsystem in config.PKI_TOMCAT_SUBSYSTEMS:
-                self.pki_slots_dict = dict(parser.items('Tomcat'))
+                self.slots_dict = dict(parser.items('Tomcat'))
         except ConfigParser.ParsingError, err:
             rv = err
         return rv
